<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("user_" . "id" => base64_decode("dXNlc" . "l9pZA" . "=="), "_8cca4dd34e20c5344bb2a3" . "0f2533c4e5" => base64_decode("ZnV" . "sbF" . "9uY" . "W1l"), "_28c85ce81fee6532980262893b6f242" . "5" => base64_decode("dXNlcm5h" . "bWU="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class DeleteUserEvent extends GenericEvent
{
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["us" . "er" . "_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_8cca4dd34e20c5344bb2a30f25" . "33c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_28c85ce81fee6532980262893b6f24" . "25"]);
    }
}